app.details.pedo = {
    
    lat: null,
    lng: null,
        
    init: function() {
        this.lat = $.urlParam("lat");
        this.lng = $.urlParam("lng");
        
        this.load();
    },
    
    load: function() {
        $.mobile.loading("show");
        $.getJSON(app.API_URL+'api/getDetailsPedo/lat='+this.lat+'/lng='+this.lng, function(data) {
            app.details.pedo.showData(data);
            $.mobile.loading("hide");
        });
        
        app.map.getAddressFromCoords(this.lat, this.lng, function(address) {
            $("#address").html(address);
        });
    },
    
    showData: function(data) {
        $("#pedoData").empty();
        $.each(data.bullets, function(key, entry) {
            var c = $(
                        "<li>" +
                            "<strong>"+entry.title+":</strong> <span>"+entry.value+"</span>" +
                        "</li>"
                    );
            $("#pedoData").append(c);
        });
        
        $("#pedoPKE").empty();
        if(data.pke.text != null) {
            $.each(data.pke.text, function(key, entry) {
                var c = $(
                            "<b>" + entry.title + "</b><br /><br />" +
                            entry.text + "<br /><br />"
                        );
                $("#pedoPKE").append(c);
            });
        }
    }
}