app.page = {
    
    pageID: 0,
    
    init: function() {
        this.pageID = $.urlParam("pageID");
        this.load();
    },
    
    load: function() {
        $("#pageTitle").empty();
        $("#pageContent").empty();
        
        $.mobile.loading("show");
        $.getJSON(app.API_URL+'page/api/get/pageID='+this.pageID, function(data) {
            app.page.showData(data);
            $.mobile.loading("hide");
        });
    },
    
    showData: function(data) { 
        $("#pageTitle").html(data.title);
        $("#pageContent").html(data.content);
    }
    
}