app.details.pollution = {
    
    lat: null,
    lng: null,
        
    init: function() {
        this.lat = $.urlParam("lat");
        this.lng = $.urlParam("lng");
        
        $("#address").html($.urlParam("address"));
        
        this.load();
    },
    
    load: function() {
        $.mobile.loading("show");
        $.getJSON(app.API_URL+'api/getDetailsPollution/lat='+this.lat+'/lng='+this.lng, function(data) {
            app.details.pollution.showData(data);
            $.mobile.loading("hide");
        });
        
        app.map.getAddressFromCoords(this.lat, this.lng, function(address) {
            $("#address").html(address);
        });
    },
    
    showData: function(data) {
        console.debug(data);
        $("#pollutionTitle").html(data.title);
        $("#pollutionText").html(data.text);
    }
}