app.page.menu = {
    
    parentID: 0,
    
    init: function() {
        if($.urlParam("parentID")) this.parentID = $.urlParam("parentID"); else this.parentID = 0;
        this.load();
    },
    
    load: function() {
        $.mobile.loading("show");
        $.getJSON(app.API_URL+'page/api/getAll/parentID='+this.parentID, function(data) {
            app.page.menu.showData(data);
            $.mobile.loading("hide");
        });
    },
    
    showData: function(data) {
        $("#page_menu #menu").empty();
        $.each(data, function(key, entry) {
            var button = $("<input type='button' value='"+entry.title+"' />");
            button.click(function() {
                if(entry.hasChildren) {
                    $.mobile.changePage("page_menu.html?parentID="+entry.ID);
                } else {
                    $.mobile.changePage("page.html?pageID="+entry.ID);
                }
            });
            $("#page_menu #menu").append(button);
            $("#page_menu").trigger('create');
        });
    }
    
}